/*
 *  s-collat-tables.c  --  Collating tables used for the s_usr_strcmp()
 *			   routine in s-string.[ch]
 *
 *
 *  Copyright (C) 1990	Lysator Computer Club,
 *			Linkoping University,  Sweden
 *
 *  Everyone is granted permission to copy, modify and redistribute
 *  this code, provided the people they give it to can.
 *
 *
 *  Author:	Thomas Bellman
 *		Lysator Computer Club
 *		Linkoping University
 *		Sweden
 *
 *  email:	Bellman@Lysator.LiU.SE
 */


#include "s-collat-tabs.h"


/*
 *  Collating tables:
 *	swedish_collate_tab:	Swedish text.  "][\}{|" in the right
 *				order.  Upper and lower case letters
 *				are equal.
 *	english_collate_tab:	English text.  Upper and lower case
 *				letters are equal.
 */



char	swedish_collate_tab [ COLLAT_TAB_SIZE ] =
    {
	'\000', '\001', '\002', '\003', '\004', '\005', '\006', '\007',
	'\010', '\011', '\012', '\013', '\014', '\015', '\016', '\017',
	'\020', '\021', '\022', '\023', '\024', '\025', '\026', '\027',
	'\030', '\031', '\032', '\033', '\034', '\035', '\036', '\037',
	' ',	'!',	'"',	'#',	'$',	'%',	'&',	'\'',
	'(',	')',	'*',	'+',	',',	'-',	'.',	'/',
	'0',	'1',	'2',	'3',	'4',	'5',	'6',	'7',
	'8',	'9',	':',	';',	'<',	'=',	'>',	'?',
	'@',	'a',	'b',	'c',	'd',	'e',	'f',	'g',
	'h',	'i',	'j',	'k',	'l',	'm',	'n',	'o',
	'p',	'q',	'r',	's',	't',	'u',	'v',	'w',
	'x',	'y',	'z',	'}',	'{',	'|',	'~',	'_',
	'`',	'a',	'b',	'c',	'd',	'e',	'f',	'g',
	'h',	'i',	'j',	'k',	'l',	'm',	'n',	'o',
	'p',	'q',	'r',	's',	't',	'u',	'v',	'w',
	'x',	'y',	'z',	'}',	'{',	'|',	'~',	'',
	'',	'',	'',	'',	'',	'',	'',	'',
	'',	'',	'',	'',	'',	'',	'',	'',
	'',	'',	'',	'',	'',	'',	'',	'',
	'',	'',	'',	'',	'',	'',	'',	'',
	'',	'',	'',	'',	'',	'',	'',	'',
	'',	'',	'',	'',	'',	'',	'',	'',
	'',	'',	'',	'',	'',	'',	'',	'',
	'',	'',	'',	'',	'',	'',	'',	'',
	'',	'',	'',	'',	'',	'',	'',	'',
	'',	'',	'',	'',	'',	'',	'',	'',
	'',	'',	'',	'',	'',	'',	'',	'',
	'',	'',	'',	'',	'',	'',	'',	'',
	'',	'',	'',	'',	'',	'',	'',	'',
	'',	'',	'',	'',	'',	'',	'',	'',
	'',	'',	'',	'',	'',	'',	'',	'',
	'',	'',	'',	'',	'',	'',	'',	''
    };



char	english_collate_tab [ COLLAT_TAB_SIZE ] =
    {
	'\000', '\001', '\002', '\003', '\004', '\005', '\006', '\007',
	'\010', '\011', '\012', '\013', '\014', '\015', '\016', '\017',
	'\020', '\021', '\022', '\023', '\024', '\025', '\026', '\027',
	'\030', '\031', '\032', '\033', '\034', '\035', '\036', '\037',
	' ',	'!',	'"',	'#',	'$',	'%',	'&',	'\'',
	'(',	')',	'*',	'+',	',',	'-',	'.',	'/',
	'0',	'1',	'2',	'3',	'4',	'5',	'6',	'7',
	'8',	'9',	':',	';',	'<',	'=',	'>',	'?',
	'@',	'a',	'b',	'c',	'd',	'e',	'f',	'g',
	'h',	'i',	'j',	'k',	'l',	'm',	'n',	'o',
	'p',	'q',	'r',	's',	't',	'u',	'v',	'w',
	'x',	'y',	'z',	'[',	'\\',	']',	'~',	'_',
	'`',	'a',	'b',	'c',	'd',	'e',	'f',	'g',
	'h',	'i',	'j',	'k',	'l',	'm',	'n',	'o',
	'p',	'q',	'r',	's',	't',	'u',	'v',	'w',
	'x',	'y',	'z',	'{',	'|',	'}',	'~',	'',
	'',	'',	'',	'',	'',	'',	'',	'',
	'',	'',	'',	'',	'',	'',	'',	'',
	'',	'',	'',	'',	'',	'',	'',	'',
	'',	'',	'',	'',	'',	'',	'',	'',
	'',	'',	'',	'',	'',	'',	'',	'',
	'',	'',	'',	'',	'',	'',	'',	'',
	'',	'',	'',	'',	'',	'',	'',	'',
	'',	'',	'',	'',	'',	'',	'',	'',
	'',	'',	'',	'',	'',	'',	'',	'',
	'',	'',	'',	'',	'',	'',	'',	'',
	'',	'',	'',	'',	'',	'',	'',	'',
	'',	'',	'',	'',	'',	'',	'',	'',
	'',	'',	'',	'',	'',	'',	'',	'',
	'',	'',	'',	'',	'',	'',	'',	'',
	'',	'',	'',	'',	'',	'',	'',	'',
	'',	'',	'',	'',	'',	'',	'',	''
    };
